Subject: Re: [netmod] defaults wrap-up

From: Martin Bjorklund <[email-masked]>
Date: Wed, 07 Oct 2009 13:28:02 +0200 (CEST)

Andy Bierman <[email-masked]> wrote:
> It seemed like we were close to consensus on the
> module capability advertisement text.  I would like
> the text to say the server MUST advertise all the YANG
> modules/revisions it is using.  It should be obvious that
> multiple revisions within a single server is most relevant
> to typedefs, not objects.  Most server developers will
> choose to support only the latest revision of an accessible
> object, rpc, or notification, not multiple revisions.
> 
> Therefore, the only way multiple capabilities for
> the same module will occur is through the import/include
> by-revision ripple effect.

When import by revision is used, it is clear to the client which
version of the imported the server is using, so it doesn't have to be
advertised.

But if import by revision is NOT used, the only way for the client to
learn which version of the imported module the server is using is if
it is advertised.

So I agree that in this case, even a typedef/grouping only module
needs to be advertised.

To make life simpler, I also agree that we should require a server to
advertise all revisions of all modules it implements (MUST advertise).

/martin